Bug 1138146 - dropbox crashes in F21 due to the glib mutex issue
Summary: dropbox crashes in F21 due to the glib mutex issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-04 07:19 UTC by Tuomas Kuosmanen
Modified: 2014-09-10 02:46 UTC (History)
2 users (show)

Fixed In Version: gnome-photos-3.13.91-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-05 03:44:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 735428 None None None Never

Description Tuomas Kuosmanen 2014-09-04 07:19:24 UTC
Description of problem: Dropbox fails to start in Fedora 21, dumping core.

   [tigert@crypt0nite ~]$ dropbox start -i
   Starting Dropbox...Attempt to unlock mutex that was not locked
   Aborted (core dumped)

I think this gnome bug explains the issue:
  https://bugzilla.gnome.org/show_bug.cgi?id=735428

There is a fix for this in gtk+:
  https://github.com/GNOME/gtk/commit/79c3ff3c4ed74bbcc820dac2d5180fa4d48d55ec

It might be good to patch glib in Fedora until the fixed version is shipped, as this is going to hit a lot of users of 3rd party apps, and the fix for the regression is simple.

My Dropbox version: nautilus-dropbox-1.6.2-1.fedora.x86_64.rpm, downloaded from dropbox.com.

Comment 1 Matthias Clasen 2014-09-05 03:44:33 UTC
fix has already been built

Comment 2 Fedora Update System 2014-09-05 08:51:57 UTC
adwaita-icon-theme-3.13.91-1.fc21,baobab-3.13.91-1.fc21,bijiben-3.13.91-1.fc21,caribou-0.4.14-1.fc21,control-center-3.13.91-1.fc21,eog-plugins-3.13.1-2.fc21,epiphany-3.13.90-1.fc21,evince-3.13.91-1.fc21,file-roller-3.13.91-1.fc21,gdk-pixbuf2-2.31.1-1.fc21,gdm-3.13.91-2.fc21,gjs-1.41.91-1.fc21,glib2-2.41.4-3.fc21,gnome-boxes-3.13.91-1.fc21,gnome-clocks-3.13.91-1.fc21,gnome-contacts-3.13.91-1.fc21,gnome-desktop3-3.13.91-1.fc21,gnome-devel-docs-3.13.91-1.fc21,gnome-documents-3.13.91-3.fc21,gnome-initial-setup-3.13.5-1.fc21,gnome-logs-3.13.91-1.fc21,gnome-mahjongg-3.13.91-1.fc21,gnome-maps-3.13.91-1.fc21,gnome-mines-3.13.91-1.fc21,gnome-nibbles-3.13.91-1.fc21,gnome-online-accounts-3.13.91-1.fc21,gnome-online-miners-3.13.91-1.fc21,gnome-packagekit-3.13.91-1.fc21,gnome-screenshot-3.13.90-2.gitcbdd3f5.fc21,gnome-settings-daemon-3.13.91-1.fc21,gnome-shell-3.13.91-1.fc21,gnome-shell-extensions-3.13.91-1.fc21,gnome-software-3.13.91-1.fc21,gnome-sound-recorder-3.13.91-1.fc21,gnome-system-monitor-3.13.91-1.fc21,gnome-tetravex-3.13.91-1.fc21,gnome-themes-standard-3.13.90-2.fc21,gnome-user-docs-3.13.91-1.fc21,gnome-weather-3.13.91-1.fc21,gobject-introspection-1.41.91-1.fc21,gsettings-desktop-schemas-3.13.92-1.fc21,gtk2-2.24.24-3.fc21,gtk3-3.13.8-1.fc21,gvfs-1.21.91-1.fc21,iagno-3.13.91-1.fc21,libappstream-glib-0.2.6-1.fc21,libgweather-3.13.91-1.fc21,libhif-0.1.3-1.fc21,libwnck3-3.4.9-1.fc21,lightsoff-3.13.91-1.fc21,mutter-3.13.91-1.fc21,nautilus-3.13.91-1.fc21,network-manager-applet-0.9.9.0-15.git20140424.fc21,orca-3.13.91-1.fc21,PackageKit-0.9.5-1.fc21,pango-1.36.7-1.fc21,pygobject3-3.13.91-1.fc21,quadrapassel-3.13.91-1.fc21,shared-mime-info-1.3-14.fc21,simple-scan-3.13.91-1.fc21,sound-juicer-3.13.91-1.fc21,tali-3.13.91-1.fc21,totem-3.13.92-1.fc21,vala-0.25.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/adwaita-icon-theme-3.13.91-1.fc21,baobab-3.13.91-1.fc21,bijiben-3.13.91-1.fc21,caribou-0.4.14-1.fc21,control-center-3.13.91-1.fc21,eog-plugins-3.13.1-2.fc21,epiphany-3.13.90-1.fc21,evince-3.13.91-1.fc21,file-roller-3.13.91-1.fc21,gdk-pixbuf2-2.31.1-1.fc21,gdm-3.13.91-2.fc21,gjs-1.41.91-1.fc21,glib2-2.41.4-3.fc21,gnome-boxes-3.13.91-1.fc21,gnome-clocks-3.13.91-1.fc21,gnome-contacts-3.13.91-1.fc21,gnome-desktop3-3.13.91-1.fc21,gnome-devel-docs-3.13.91-1.fc21,gnome-documents-3.13.91-3.fc21,gnome-initial-setup-3.13.5-1.fc21,gnome-logs-3.13.91-1.fc21,gnome-mahjongg-3.13.91-1.fc21,gnome-maps-3.13.91-1.fc21,gnome-mines-3.13.91-1.fc21,gnome-nibbles-3.13.91-1.fc21,gnome-online-accounts-3.13.91-1.fc21,gnome-online-miners-3.13.91-1.fc21,gnome-packagekit-3.13.91-1.fc21,gnome-screenshot-3.13.90-2.gitcbdd3f5.fc21,gnome-settings-daemon-3.13.91-1.fc21,gnome-shell-3.13.91-1.fc21,gnome-shell-extensions-3.13.91-1.fc21,gnome-software-3.13.91-1.fc21,gnome-sound-recorder-3.13.91-1.fc21,gnome-system-monitor-3.13.91-1.fc21,gnome-tetravex-3.13.91-1.fc21,gnome-themes-standard-3.13.90-2.fc21,gnome-user-docs-3.13.91-1.fc21,gnome-weather-3.13.91-1.fc21,gobject-introspection-1.41.91-1.fc21,gsettings-desktop-schemas-3.13.92-1.fc21,gtk2-2.24.24-3.fc21,gtk3-3.13.8-1.fc21,gvfs-1.21.91-1.fc21,iagno-3.13.91-1.fc21,libappstream-glib-0.2.6-1.fc21,libgweather-3.13.91-1.fc21,libhif-0.1.3-1.fc21,libwnck3-3.4.9-1.fc21,lightsoff-3.13.91-1.fc21,mutter-3.13.91-1.fc21,nautilus-3.13.91-1.fc21,network-manager-applet-0.9.9.0-15.git20140424.fc21,orca-3.13.91-1.fc21,PackageKit-0.9.5-1.fc21,pango-1.36.7-1.fc21,pygobject3-3.13.91-1.fc21,quadrapassel-3.13.91-1.fc21,shared-mime-info-1.3-14.fc21,simple-scan-3.13.91-1.fc21,sound-juicer-3.13.91-1.fc21,tali-3.13.91-1.fc21,totem-3.13.92-1.fc21,vala-0.25.3-1.fc21

Comment 3 Fedora Update System 2014-09-10 02:46:08 UTC
gnome-photos-3.13.91-1.fc21, tracker-1.1.4-2.fc21, caribou-0.4.14-2.fc21, clutter-gtk-1.5.4-2.fc21, adwaita-icon-theme-3.13.91-1.fc21, baobab-3.13.91-1.fc21, bijiben-3.13.91-1.fc21, control-center-3.13.91-1.fc21, eog-plugins-3.13.1-2.fc21, epiphany-3.13.90-1.fc21, evince-3.13.91-1.fc21, file-roller-3.13.91-1.fc21, gdk-pixbuf2-2.31.1-1.fc21, gdm-3.13.91-2.fc21, gjs-1.41.91-1.fc21, glib2-2.41.4-3.fc21, gnome-boxes-3.13.91-1.fc21, gnome-clocks-3.13.91-1.fc21, gnome-contacts-3.13.91-1.fc21, gnome-desktop3-3.13.91-1.fc21, gnome-devel-docs-3.13.91-1.fc21, gnome-documents-3.13.91-3.fc21, gnome-initial-setup-3.13.5-1.fc21, gnome-logs-3.13.91-1.fc21, gnome-mahjongg-3.13.91-1.fc21, gnome-maps-3.13.91-1.fc21, gnome-mines-3.13.91-1.fc21, gnome-nibbles-3.13.91-1.fc21, gnome-online-accounts-3.13.91-1.fc21, gnome-online-miners-3.13.91-1.fc21, gnome-packagekit-3.13.91-1.fc21, gnome-screenshot-3.13.90-2.gitcbdd3f5.fc21, gnome-settings-daemon-3.13.91-1.fc21, gnome-shell-3.13.91-1.fc21, gnome-shell-extensions-3.13.91-1.fc21, gnome-software-3.13.91-1.fc21, gnome-sound-recorder-3.13.91-1.fc21, gnome-system-monitor-3.13.91-1.fc21, gnome-tetravex-3.13.91-1.fc21, gnome-themes-standard-3.13.90-2.fc21, gnome-user-docs-3.13.91-1.fc21, gnome-weather-3.13.91-1.fc21, gobject-introspection-1.41.91-1.fc21, gsettings-desktop-schemas-3.13.92-1.fc21, gtk2-2.24.24-3.fc21, gtk3-3.13.8-1.fc21, gvfs-1.21.91-1.fc21, iagno-3.13.91-1.fc21, libappstream-glib-0.2.6-1.fc21, libgweather-3.13.91-1.fc21, libhif-0.1.3-1.fc21, libwnck3-3.4.9-1.fc21, lightsoff-3.13.91-1.fc21, mutter-3.13.91-1.fc21, nautilus-3.13.91-1.fc21, network-manager-applet-0.9.9.0-15.git20140424.fc21, orca-3.13.91-1.fc21, PackageKit-0.9.5-1.fc21, pango-1.36.7-1.fc21, pygobject3-3.13.91-1.fc21, quadrapassel-3.13.91-1.fc21, shared-mime-info-1.3-14.fc21, simple-scan-3.13.91-1.fc21, sound-juicer-3.13.91-1.fc21, tali-3.13.91-1.fc21, totem-3.13.92-1.fc21, vala-0.25.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.